--- old/usr/src/uts/intel/iwk/Makefile	Mon Jan  7 13:09:22 2019
+++ new/usr/src/uts/intel/iwk/Makefile	Mon Jan  7 13:09:22 2019
@@ -22,6 +22,7 @@
 # Copyright 2008 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 #
 # This makefile drives the production of the iwk driver kernel module.
@@ -37,7 +38,7 @@
 #
 #	Define the module and object file sets.
 #
-MODULE		= iwk 
+MODULE		= iwk
 OBJECTS		= $(IWK_OBJS:%=$(OBJS_DIR)/%)
 LINTS		= $(IWK_OBJS:%.o=$(LINTS_DIR)/%.ln)
 ROOTMODULE	= $(ROOT_DRV_DIR)/$(MODULE)
@@ -61,11 +62,14 @@
 
 CPPFLAGS	+= -I. -D_KERNEL -DIWL=4965
 
-LDFLAGS         += -dy -Nmisc/mac -Nmisc/net80211 -Ndrv/random -Ndrv/ip 
+LDFLAGS         += -dy -Nmisc/mac -Nmisc/net80211 -Ndrv/random -Ndrv/ip
 
 CERRWARN	+= -_gcc=-Wno-unused-label
 CERRWARN	+= -_gcc=-Wno-uninitialized
 
+# needs work
+$(OBJS_DIR)/iwk2.o := SMOFF += precedence
+
 #
 #	Default build targets.
 #
--- old/usr/src/uts/intel/iwn/Makefile	Mon Jan  7 13:09:24 2019
+++ new/usr/src/uts/intel/iwn/Makefile	Mon Jan  7 13:09:24 2019
@@ -12,6 +12,7 @@
 #
 # Copyright 2016 Hans Rosenfeld <rosenfeld@grumpf.hope-2000.org>
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 #
 # This makefile drives the production of the iwn driver kernel module.
@@ -55,6 +56,9 @@
 
 LDFLAGS         += -dy -Nmisc/mac -Nmisc/net80211 -Ndrv/random -Ndrv/ip
 
+# needs work
+SMOFF += all_func_returns
+
 #
 #	Default build targets.
 #
--- old/usr/src/uts/intel/ixgbe/Makefile	Mon Jan  7 13:09:25 2019
+++ new/usr/src/uts/intel/ixgbe/Makefile	Mon Jan  7 13:09:25 2019
@@ -22,6 +22,7 @@
 # Copyright 2009 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 # Copyright 2016 OmniTI Computer Consulting, Inc.  All rights reserved.
+# Copyright (c) 2018, Joyent, Inc.
 #
 # uts/intel/ixgbe/Makefile
 #
@@ -60,6 +61,9 @@
 CERRWARN	+= -_gcc=-Wno-unused-value
 CERRWARN	+= -_cc=-erroff=E_STATEMENT_NOT_REACHED
 
+# 3rd party code
+SMOFF += all_func_returns
+
 #
 #	Define targets
 #
--- old/usr/src/uts/intel/kcf/Makefile	Mon Jan  7 13:09:25 2019
+++ new/usr/src/uts/intel/kcf/Makefile	Mon Jan  7 13:09:25 2019
@@ -22,11 +22,7 @@
 # Copyright 2010 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
-#	This makefile drives the production of the Kernel Cryptographic
-#	Framework core module.
-#
-#	Intel implementation architecture dependent
-#
+# Copyright (c) 2018, Joyent, Inc.
 
 #
 #	Path to the base of the uts directory tree (usually /usr/src/uts).
@@ -74,6 +70,9 @@
 CERRWARN	+= -_gcc=-Wno-parentheses
 CERRWARN	+= -_gcc=-Wno-unused-label
 
+# needs work
+SMOFF += all_func_returns,signed_integer_overflow_check
+
 #
 #	Default build targets.
 #
--- old/usr/src/uts/intel/keysock/Makefile	Mon Jan  7 13:09:25 2019
+++ new/usr/src/uts/intel/keysock/Makefile	Mon Jan  7 13:09:25 2019
@@ -23,9 +23,10 @@
 # Copyright 2007 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 #
-#	This makefile drives the production of the keysock driver 
+#	This makefile drives the production of the keysock driver
 #	kernel module.
 #
 #	intel implementation architecture dependent
@@ -75,6 +76,9 @@
 
 CERRWARN	+= -_gcc=-Wno-unused-variable
 
+# needs work
+$(OBJS_DIR)/keysockddi.o := SMOFF += index_overflow
+
 #
 #	Default build targets.
 #
--- old/usr/src/uts/intel/kgssapi/Makefile	Mon Jan  7 13:09:25 2019
+++ new/usr/src/uts/intel/kgssapi/Makefile	Mon Jan  7 13:09:25 2019
@@ -25,11 +25,9 @@
 # Use is subject to license terms.
 # Copyright (c) 2011 Bayard G. Bell. All rights reserved.
 #
-#	This makefile drives the production of the kgssapi kernel module.
+# Copyright (c) 2018, Joyent, Inc.
+
 #
-#	intel implementation architecture dependent
-#
-#
 #	Path to the base of the uts directory tree (usually /usr/src/uts).
 #
 UTSBASE	= ../..
@@ -70,6 +68,9 @@
 CERRWARN	+= -_gcc=-Wno-unused-variable
 CERRWARN	+= -_gcc=-Wno-uninitialized
 
+# needs work
+$(OBJS_DIR)/gssd_clnt_stubs.o := SMOFF += indenting,deref_check
+
 #
 #	Default build targets.
 #
--- old/usr/src/uts/intel/kiconv_ja/Makefile	Mon Jan  7 13:09:26 2019
+++ new/usr/src/uts/intel/kiconv_ja/Makefile	Mon Jan  7 13:09:26 2019
@@ -24,12 +24,7 @@
 # Copyright 2008 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
-# ident	"%Z%%M%	%I%	%E% SMI"
-#
-#	This makefile drives the production of the kiconv_ja kernel module.
-#
-#	intel architecture dependent
-#
+# Copyright (c) 2018, Joyent, Inc.
 
 #
 #	Path to the base of the uts directory tree (usually /usr/src/uts).
@@ -68,6 +63,9 @@
 #
 LINTTAGS	+= -erroff=E_PTRDIFF_OVERFLOW
 
+# smatch not happy with this source
+SMATCH=off
+
 #
 #	Default build targets.
 #
--- old/usr/src/uts/intel/klmmod/Makefile	Mon Jan  7 13:09:26 2019
+++ new/usr/src/uts/intel/klmmod/Makefile	Mon Jan  7 13:09:26 2019
@@ -24,11 +24,7 @@
 #
 # Copyright (c) 2012 by Delphix. All rights reserved.
 #
-#	This makefile drives the production of the network lock manager server
-#	specific kernel module.
-#
-#	intel implementation architecture dependent
-#
+# Copyright (c) 2018, Joyent, Inc.
 
 #
 #	Path to the base of the uts directory tree (usually /usr/src/uts).
@@ -67,6 +63,9 @@
 #
 CERRWARN	+= -_gcc=-Wno-switch
 
+# needs work
+$(OBJS_DIR)/nlm_service.o := SMOFF += signed_integer_overflow_check
+
 #
 #	Default build targets.
 #
--- old/usr/src/uts/intel/kmech_krb5/Makefile	Mon Jan  7 13:09:27 2019
+++ new/usr/src/uts/intel/kmech_krb5/Makefile	Mon Jan  7 13:09:27 2019
@@ -24,6 +24,7 @@
 # Use is subject to license terms.
 # Copyright (c) 2011 Bayard G. Bell. All rights reserved.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 #	This makefile drives the production of the gl_kmech_krb5 kernel module.
 #
@@ -73,6 +74,9 @@
 CERRWARN	+= -_gcc=-Wno-uninitialized
 CERRWARN	+= -_gcc=-Wno-parentheses
 
+# needs work
+SMOFF += indenting
+
 #
 #	Default build targets.
 #
--- old/usr/src/uts/intel/llc1/Makefile	Mon Jan  7 13:09:28 2019
+++ new/usr/src/uts/intel/llc1/Makefile	Mon Jan  7 13:09:28 2019
@@ -24,6 +24,7 @@
 # Copyright 2006 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 #
 #	This makefile drives the production of the Sound-Blaster driver 
@@ -68,6 +69,9 @@
 
 CERRWARN	+= -_gcc=-Wno-uninitialized
 
+# needs work
+$(OBJS_DIR)/llc1.o := SMOFF += no_if_block,deref_check
+
 #
 #	Default build targets.
 #
--- old/usr/src/uts/intel/mac/Makefile	Mon Jan  7 13:09:28 2019
+++ new/usr/src/uts/intel/mac/Makefile	Mon Jan  7 13:09:28 2019
@@ -22,11 +22,9 @@
 # Copyright 2009 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+# Copyright (c) 2018, Joyent, Inc.
+
 #
-#	This makefile drives the production of the mac driver 
-#	kernel module.
-#
-#
 #	Path to the base of the uts directory tree (usually /usr/src/uts).
 #
 UTSBASE	= ../..
@@ -67,6 +65,13 @@
 CERRWARN	+= -_gcc=-Wno-switch
 CERRWARN	+= -_gcc=-Wno-unused-variable
 
+# needs work
+SMOFF += all_func_returns
+$(OBJS_DIR)/mac.o := SMOFF += deref_check
+$(OBJS_DIR)/mac_util.o := SMOFF += signed
+
+# false positive
+$(OBJS_DIR)/mac_sched.o := SMOFF += assign_vs_compare
 #
 #	Default build targets.
 #
--- old/usr/src/uts/intel/mega_sas/Makefile	Mon Jan  7 13:09:28 2019
+++ new/usr/src/uts/intel/mega_sas/Makefile	Mon Jan  7 13:09:28 2019
@@ -21,6 +21,7 @@
 # Copyright 2008 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 #
 # uts/intel/mega_sas/Makefile
@@ -63,6 +64,9 @@
 
 CERRWARN	+= -_gcc=-Wno-uninitialized
 
+# needs work
+$(OBJS_DIR)/megaraid_sas.o := SMOFF += snprintf_overflow,all_func_returns
+
 #
 #	Default build targets.
 #
--- old/usr/src/uts/intel/mii/Makefile	Mon Jan  7 13:09:29 2019
+++ new/usr/src/uts/intel/mii/Makefile	Mon Jan  7 13:09:29 2019
@@ -24,8 +24,7 @@
 # Copyright 2010 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
-#	This makefile drives the production of the mii support module.
-#
+# Copyright (c) 2018, Joyent, Inc.
 
 #
 #	Path to the base of the uts directory tree (usually /usr/src/uts).
@@ -57,6 +56,9 @@
 CERRWARN	+= -_gcc=-Wno-switch
 CERRWARN	+= -_gcc=-Wno-uninitialized
 
+# needs work
+SMOFF += all_func_returns
+
 #
 #	Default build targets.
 #
--- old/usr/src/uts/intel/mpt_sas/Makefile	Mon Jan  7 13:09:30 2019
+++ new/usr/src/uts/intel/mpt_sas/Makefile	Mon Jan  7 13:09:30 2019
@@ -21,10 +21,7 @@
 # Copyright 2009 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
-#	This makefile drives the production of the mpt_sas driver kernel module.
-#
-#	intel architecture dependent
-#
+# Copyright (c) 2018, Joyent, Inc.
 
 #
 #	Paths to the base of the uts directory trees
@@ -59,6 +56,10 @@
 
 CERRWARN	+= -_gcc=-Wno-uninitialized
 
+# needs work
+$(OBJS_DIR)/mptsas_raid.o := SMOFF += index_overflow
+$(OBJS_DIR)/mptsas.o := SMOFF += deref_check
+
 #
 #	Default build targets.
 #
--- old/usr/src/uts/intel/mr_sas/Makefile	Mon Jan  7 13:09:31 2019
+++ new/usr/src/uts/intel/mr_sas/Makefile	Mon Jan  7 13:09:31 2019
@@ -23,10 +23,7 @@
 #
 # uts/intel/mr_sas/Makefile
 #
-#	This makefile drives the production of the mr_sas driver kernel module.
-#
-#	intel implementation architecture dependent
-#
+# Copyright (c) 2018, Joyent, Inc.
 
 #
 #	Path to the base of the uts directory tree (usually /usr/src/uts).
@@ -63,6 +60,9 @@
 CERRWARN	+= -_gcc=-Wno-switch
 CERRWARN	+= -_gcc=-Wno-uninitialized
 
+# needs work
+SMATCH=off
+
 #
 #	Default build targets.
 #
--- old/usr/src/uts/intel/mwl/Makefile	Mon Jan  7 13:09:32 2019
+++ new/usr/src/uts/intel/mwl/Makefile	Mon Jan  7 13:09:32 2019
@@ -22,6 +22,7 @@
 # Copyright 2009 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 #
 # This makefile drives the production of the rwd driver kernel module.
@@ -67,6 +68,9 @@
 CERRWARN	+= -_gcc=-Wno-uninitialized
 CERRWARN	+= -_gcc=-Wno-unused-value
 
+# needs work
+SMOFF += return_cast
+
 #
 #	Default build targets.
 #
--- old/usr/src/uts/intel/myri10ge/Makefile	Mon Jan  7 13:09:32 2019
+++ new/usr/src/uts/intel/myri10ge/Makefile	Mon Jan  7 13:09:32 2019
@@ -21,6 +21,7 @@
 #
 # Copyright (c) 2009, 2010, Oracle and/or its affiliates. All rights reserved.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 #
 #	Path to the base of the uts directory tree (usually /usr/src/uts).
@@ -55,7 +56,8 @@
 #
 LINTTAGS  += -DSOLARIS_S11 -erroff=E_STATIC_UNUSED
 
-#COPTIMIZE = -xO4
+# needs work
+SMATCH=off
 
 INC_PATH  += -I$(UTSBASE)/common/io/myri10ge -I$(UTSBASE)/common/io/myri10ge/firmware
 
--- old/usr/src/uts/intel/nca/Makefile	Mon Jan  7 13:09:32 2019
+++ new/usr/src/uts/intel/nca/Makefile	Mon Jan  7 13:09:32 2019
@@ -24,13 +24,7 @@
 # Copyright 2006 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
-# ident	"%Z%%M%	%I%	%E% SMI"
-#
-#	This makefile drives the production of the nca driver 
-#	kernel module.
-#
-#	Intel architecture dependent
-#
+# Copyright (c) 2018, Joyent, Inc.
 
 #
 #	Path to the base of the uts directory tree (usually /usr/src/uts).
@@ -71,6 +65,9 @@
 #
 LINTTAGS	+= -erroff=E_BAD_PTR_CAST_ALIGN
 
+# needs work
+$(OBJS_DIR)/ncaddi.o := SMOFF += index_overflow
+
 #
 #	Default build targets.
 #
--- old/usr/src/uts/intel/net80211/Makefile	Mon Jan  7 13:09:32 2019
+++ new/usr/src/uts/intel/net80211/Makefile	Mon Jan  7 13:09:32 2019
@@ -23,6 +23,7 @@
 # Copyright 2008 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 #
 #	This file makes the atheros driver for an intel system
@@ -69,6 +70,9 @@
 CERRWARN	+= -_gcc=-Wno-uninitialized
 CERRWARN	+= -_gcc=-Wno-parentheses
 
+# needs work
+SMATCH=off
+
 #
 #	Default build targets.
 #
--- old/usr/src/uts/intel/nfs/Makefile	Mon Jan  7 13:09:33 2019
+++ new/usr/src/uts/intel/nfs/Makefile	Mon Jan  7 13:09:33 2019
@@ -25,11 +25,7 @@
 # Use is subject to license terms.
 # Copyright (c) 2011 Bayard G. Bell. All rights reserved.
 #
-#	This makefile drives the production of the nfs file system
-#	kernel module.
-#
-#	intel implementation architecture dependent
-#
+# Copyright (c) 2018, Joyent, Inc.
 
 #
 #	Path to the base of the uts directory tree (usually /usr/src/uts).
@@ -90,6 +86,9 @@
 CERRWARN	+= -_gcc=-Wno-unused-variable
 CERRWARN	+= -_gcc=-Wno-empty-body
 
+# needs work
+SMATCH=off
+
 #
 #	Default build targets.
 #
--- old/usr/src/uts/intel/nfs_dlboot/Makefile	Mon Jan  7 13:09:33 2019
+++ new/usr/src/uts/intel/nfs_dlboot/Makefile	Mon Jan  7 13:09:33 2019
@@ -24,6 +24,7 @@
 # Copyright 2006 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 #
 #	This makefile drives the production of the dlboot_proto
@@ -75,6 +76,9 @@
 
 CERRWARN	+= -_gcc=-Wno-parentheses
 
+# needs work
+$(OBJS_DIR)/nfs_dlinet.o := SMOFF += indenting,all_func_returns
+
 #
 #	Default build targets.
 #
--- old/usr/src/uts/intel/nfssrv/Makefile	Mon Jan  7 13:09:33 2019
+++ new/usr/src/uts/intel/nfssrv/Makefile	Mon Jan  7 13:09:33 2019
@@ -24,6 +24,7 @@
 # Copyright 2006 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 #
 #	This makefile drives the production of the nfs server-specific
@@ -82,6 +83,9 @@
 CERRWARN	+= -_gcc=-Wno-uninitialized
 CERRWARN	+= -_gcc=-Wno-switch
 
+# needs work
+SMATCH=off
+
 #
 #	Default build targets.
 #
--- old/usr/src/uts/intel/nge/Makefile	Mon Jan  7 13:09:33 2019
+++ new/usr/src/uts/intel/nge/Makefile	Mon Jan  7 13:09:33 2019
@@ -22,9 +22,7 @@
 # Copyright 2008 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
-#	This makefile drives the production of the nvidia toe/ge
-#	driver.
-#
+# Copyright (c) 2018, Joyent, Inc.
 
 #
 #	Path to the base of the uts directory tree (usually /usr/src/uts).
@@ -74,6 +72,9 @@
 CERRWARN	+= -_gcc=-Wno-switch
 CERRWARN	+= -_gcc=-Wno-uninitialized
 
+# needs work
+SMOFF += all_func_returns
+
 #
 #	Default build targets.
 #
--- old/usr/src/uts/intel/nsmb/Makefile	Mon Jan  7 13:09:33 2019
+++ new/usr/src/uts/intel/nsmb/Makefile	Mon Jan  7 13:09:33 2019
@@ -24,6 +24,7 @@
 # Copyright 2009 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 #
 #	intel architecture dependent
@@ -99,6 +100,12 @@
 LGREP.nsmb =	egrep -v ' ignored: (mb_init|mb_put|md_get)'
 LTAIL	+=	2>&1 | $(LGREP.2) | $(LGREP.nsmb) || true
 
+# same for smatch
+SMOFF += all_func_returns
+
+# needs work
+SMOFF += signed,deref_check
+
 #
 #	Default build targets.
 #
--- old/usr/src/uts/intel/ntxn/Makefile	Mon Jan  7 13:09:34 2019
+++ new/usr/src/uts/intel/ntxn/Makefile	Mon Jan  7 13:09:34 2019
@@ -23,10 +23,7 @@
 # Copyright 2009 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
-#
-#	This makefile drives the production of the Neterion Xframe
-#	10G Ethernet (XGE) driver module in x86 systems
-#
+# Copyright (c) 2018, Joyent, Inc.
 
 #
 #	Paths to the base of the uts directory trees
@@ -73,6 +70,9 @@
 CERRWARN	+= -_gcc=-Wno-unused-label
 CERRWARN	+= -_gcc=-Wno-type-limits
 
+# needs work
+SMOFF += all_func_returns
+
 #
 #
 #	Default build targets.
--- old/usr/src/uts/intel/nv_sata/Makefile	Mon Jan  7 13:09:34 2019
+++ new/usr/src/uts/intel/nv_sata/Makefile	Mon Jan  7 13:09:34 2019
@@ -23,6 +23,8 @@
 # Copyright 2008 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+# Copyright (c) 2018, Joyent, Inc.
+
 #
 #	Path to the base of the uts directory tree (usually /usr/src/uts).
 #
@@ -75,6 +77,9 @@
 
 CERRWARN	+= -_gcc=-Wno-uninitialized
 
+# needs work
+$(OBJS_DIR)/nv_sata.o := SMOFF += deref_check
+
 #
 #	Default build targets.
 #
--- old/usr/src/uts/intel/nxge/Makefile	Mon Jan  7 13:09:34 2019
+++ new/usr/src/uts/intel/nxge/Makefile	Mon Jan  7 13:09:34 2019
@@ -22,11 +22,9 @@
 #
 # Copyright (c) 2007, 2010, Oracle and/or its affiliates. All rights reserved.
 #
+# Copyright (c) 2018, Joyent, Inc.
+
 #
-#	This makefile drives the production of the Sun NIU
-#	10G/1G Ethernet leaf driver kernel module.
-#
-#
 #	Path to the base of the uts directory tree (usually /usr/src/uts).
 #
 UTSBASE	= ../..
@@ -92,6 +90,9 @@
 CERRWARN	+= -_gcc=-Wno-uninitialized
 CERRWARN	+= -_gcc=-Wno-type-limits
 
+# needs work
+SMATCH=off
+
 #
 #	Driver depends on mac & IP
 #
--- old/usr/src/uts/intel/objfs/Makefile	Mon Jan  7 13:09:34 2019
+++ new/usr/src/uts/intel/objfs/Makefile	Mon Jan  7 13:09:34 2019
@@ -22,6 +22,7 @@
 # Copyright 2006 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 #
 #	This makefile drives the production of the object file system
@@ -72,6 +73,9 @@
 CERRWARN	+= -_gcc=-Wno-unused-function
 CERRWARN	+= -_gcc=-Wno-uninitialized
 
+# needs work
+$(OBJS_DIR)/objfs_vfs.o := SMOFF += signed_integer_overflow_check
+
 #
 #	Default build targets.
 #
--- old/usr/src/uts/intel/openeepr/Makefile	Mon Jan  7 13:09:34 2019
+++ new/usr/src/uts/intel/openeepr/Makefile	Mon Jan  7 13:09:34 2019
@@ -23,6 +23,7 @@
 # Copyright 2006 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 #
 #	This makefile drives the production of the openeepr driver
@@ -68,6 +69,9 @@
 CERRWARN	+= -_gcc=-Wno-parentheses
 CERRWARN	+= -_gcc=-Wno-uninitialized
 
+# needs work
+$(OBJS_DIR)/openprom.o := SMOFF += cast_assign,strcpy_overflow
+
 #
 #	Default build targets.
 #
--- old/usr/src/uts/intel/pcfs/Makefile	Mon Jan  7 13:09:34 2019
+++ new/usr/src/uts/intel/pcfs/Makefile	Mon Jan  7 13:09:34 2019
@@ -24,6 +24,7 @@
 # Copyright 2006 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 #
 #	This makefile drives the production of the DOS file system
@@ -68,6 +69,9 @@
 CERRWARN	+= -_gcc=-Wno-uninitialized
 CERRWARN	+= -_gcc=-Wno-unused-function
 
+# needs work
+SMATCH=off
+
 #
 #	Define targets
 #
--- old/usr/src/uts/intel/pcic/Makefile	Mon Jan  7 13:09:35 2019
+++ new/usr/src/uts/intel/pcic/Makefile	Mon Jan  7 13:09:35 2019
@@ -23,6 +23,7 @@
 # Copyright 2007 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 #
 #	This makefile drives the PCIC style PCMCIA adapter
@@ -78,6 +79,9 @@
 CERRWARN	+= -_gcc=-Wno-unused-function
 CERRWARN	+= -_gcc=-Wno-uninitialized
 
+# needs work
+SMOFF += no_if_block,indenting,all_func_returns
+
 #
 #	Default build targets.
 #
--- old/usr/src/uts/intel/pcicfg/Makefile	Mon Jan  7 13:09:35 2019
+++ new/usr/src/uts/intel/pcicfg/Makefile	Mon Jan  7 13:09:35 2019
@@ -23,12 +23,7 @@
 # Copyright 2009 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
-#	This makefile drives the production of the kernel/misc/pcicfg module
-#	(PCI configurator module) for PCI hotplug support in PCI nexus
-#	drivers.
-#
-#	intel implementation architecture dependent
-#
+# Copyright (c) 2018, Joyent, Inc.
 
 #
 #	Path to the base of the uts directory tree (usually /usr/src/uts).
@@ -80,6 +75,9 @@
 CERRWARN	+= -_gcc=-Wno-unused-function
 CERRWARN	+= -_gcc=-Wno-uninitialized
 
+# needs work
+$(OBJS_DIR)/pcicfg.o := SMOFF += deref_check
+
 #
 #	Default build targets.
 #
--- old/usr/src/uts/intel/pcieb/Makefile	Mon Jan  7 13:09:35 2019
+++ new/usr/src/uts/intel/pcieb/Makefile	Mon Jan  7 13:09:35 2019
@@ -24,9 +24,7 @@
 # Copyright 2009 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
-#	This makefile drives the production of the pcieb driver kernel
-#	module.
-#
+# Copyright (c) 2018, Joyent, Inc.
 
 #
 #	Path to the base of the uts directory tree (usually /usr/src/uts).
@@ -77,6 +75,9 @@
 
 CERRWARN	+= -_gcc=-Wno-unused-value
 
+# needs work
+SMOFF += all_func_returns
+
 #
 #	Default build targets.
 #
--- old/usr/src/uts/intel/pcihp/Makefile	Mon Jan  7 13:09:35 2019
+++ new/usr/src/uts/intel/pcihp/Makefile	Mon Jan  7 13:09:35 2019
@@ -23,13 +23,7 @@
 # Copyright 2006 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
-#ident	"%Z%%M%	%I%	%E% SMI"
-#
-#	This makefile drives the production of the kernel/misc/pcihp module
-#	for PCI hotplug support in PCI nexus drivers.
-#
-#	intel implementation architecture dependent
-#
+# Copyright (c) 2018, Joyent, Inc.
 
 #
 #	Path to the base of the uts directory tree (usually /usr/src/uts).
@@ -69,6 +63,9 @@
 LINTTAGS	+= -erroff=E_SUSPICIOUS_COMPARISON
 LINTTAGS	+= -erroff=E_BAD_PTR_CAST_ALIGN
 
+# needs work
+SMOFF += indenting
+
 #
 #	Default build targets.
 #
--- old/usr/src/uts/intel/pcmcia/Makefile	Mon Jan  7 13:09:35 2019
+++ new/usr/src/uts/intel/pcmcia/Makefile	Mon Jan  7 13:09:35 2019
@@ -24,6 +24,7 @@
 # Copyright 2006 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 #
 #	This file makes the pcmcia nexus for an intel system
@@ -83,6 +84,9 @@
 CERRWARN	+= -_gcc=-Wno-uninitialized
 CERRWARN	+= -_gcc=-Wno-parentheses
 
+# needs work
+SMATCH=off
+
 #
 #	Default build targets.
 #
--- old/usr/src/uts/intel/pmcs/Makefile	Mon Jan  7 13:09:35 2019
+++ new/usr/src/uts/intel/pmcs/Makefile	Mon Jan  7 13:09:35 2019
@@ -20,11 +20,7 @@
 # Copyright 2009 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
-#
-#	This makefile drives the production of the pmcs driver kernel module.
-#
-#	intel architecture dependent
-#
+# Copyright (c) 2018, Joyent, Inc.
 
 #
 #	Paths to the base of the uts directory trees
@@ -72,6 +68,8 @@
 CERRWARN	+= -_gcc=-Wno-unused-label
 CERRWARN	+= -_gcc=-Wno-parentheses
 
+# needs work
+SMATCH=off
 
 #
 #	Default build targets.
--- old/usr/src/uts/intel/portfs/Makefile	Mon Jan  7 13:09:36 2019
+++ new/usr/src/uts/intel/portfs/Makefile	Mon Jan  7 13:09:36 2019
@@ -23,7 +23,9 @@
 # Copyright 2007 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
+
 #
 #	This makefile drives the production of the portfs driver kernel module.
 #
@@ -75,6 +77,9 @@
 CERRWARN	+= -_gcc=-Wno-uninitialized
 CERRWARN	+= -_gcc=-Wno-parentheses
 
+# needs work
+$(OBJS_DIR)/port_fop.o := SMOFF += deref_check
+
 #
 #	Default build targets.
 #
--- old/usr/src/uts/intel/procfs/Makefile	Mon Jan  7 13:09:36 2019
+++ new/usr/src/uts/intel/procfs/Makefile	Mon Jan  7 13:09:36 2019
@@ -24,6 +24,7 @@
 # Copyright 2006 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 #
 #	This makefile drives the production of the procfs file system
@@ -76,6 +77,15 @@
 CERRWARN	+= -_gcc=-Wno-parentheses
 CERRWARN	+= -_gcc=-Wno-switch
 CERRWARN	+= -_gcc=-Wno-uninitialized
+
+# needs work
+$(OBJS_DIR)/prsubr.o := SMOFF += all_func_returns
+$(OBJS_DIR)/prcontrol.o := SMOFF += all_func_returns
+$(OBJS_DIR)/prioctl.o := SMOFF += signed
+
+# false positives
+$(OBJS_DIR)/prvnops.o := SMOFF += strcpy_overflow
+
 #
 #	Default build targets.
 #
--- old/usr/src/uts/intel/qede/Makefile	Mon Jan  7 13:09:36 2019
+++ new/usr/src/uts/intel/qede/Makefile	Mon Jan  7 13:09:36 2019
@@ -10,7 +10,7 @@
 #
 
 #
-# Copyright (c) 2017 Joyent, Inc.
+# Copyright (c) 2018, Joyent, Inc.
 #
 
 UTSBASE = ../..
@@ -48,6 +48,12 @@
 CERRWARN	+= -_gcc=-Wno-unused-variable
 CERRWARN	+= -_gcc=-Wno-unused-function
 
+# 3rd party module
+SMOFF += all_func_returns,indenting,no_if_block,deref_check,testing_index_after_use
+
+# real bug in qede_multicast()
+$(OBJS_DIR)/qede_gld.o := SMOFF += assign_vs_compare
+
 ALL_TARGET	= $(BINARY) $(CONFMOD)
 INSTALL_TARGET	= $(BINARY) $(ROOTMODULE) $(ROOT_CONFFILE)
 
--- old/usr/src/uts/intel/qlc/Makefile	Mon Jan  7 13:09:36 2019
+++ new/usr/src/uts/intel/qlc/Makefile	Mon Jan  7 13:09:36 2019
@@ -22,7 +22,8 @@
 # Copyright 2009 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
-# This makefile drives the production of qlc driver kernel module.
+# Copyright (c) 2018, Joyent, Inc.
+
 #
 # Path to the base of the uts directory tree (usually /usr/src/uts).
 #
@@ -81,6 +82,9 @@
 CERRWARN	+= -_gcc=-Wno-type-limits
 CERRWARN	+= -_gcc=-Wno-parentheses
 
+# needs work
+SMATCH=off
+
 #
 #	Default build targets.
 #
--- old/usr/src/uts/intel/qlge/Makefile	Mon Jan  7 13:09:36 2019
+++ new/usr/src/uts/intel/qlge/Makefile	Mon Jan  7 13:09:36 2019
@@ -22,7 +22,8 @@
 # Copyright 2010 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
-# This makefile drives the production of the qlge driver kernel module.
+# Copyright (c) 2018, Joyent, Inc.
+
 #
 # Path to the base of the uts directory tree (usually /usr/src/uts).
 #
@@ -66,6 +67,9 @@
 CERRWARN	+= -_gcc=-Wno-switch
 CERRWARN	+= -_gcc=-Wno-uninitialized
 
+# needs work
+$(OBJS_DIR)/qlge.o := SMOFF += deref_check
+
 #
 #	Default build targets.
 #
--- old/usr/src/uts/intel/rdsv3/Makefile	Mon Jan  7 13:09:36 2019
+++ new/usr/src/uts/intel/rdsv3/Makefile	Mon Jan  7 13:09:36 2019
@@ -21,6 +21,7 @@
 #
 # Copyright (c) 2010, Oracle and/or its affiliates. All rights reserved.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 #
 #	Path to the base of the uts directory tree (usually /usr/src/uts).
@@ -65,6 +66,9 @@
 CERRWARN	+= -_gcc=-Wno-uninitialized
 CERRWARN	+= -_gcc=-Wno-parentheses
 
+# needs work
+SMATCH=off
+
 #
 #	Define targets
 #
--- old/usr/src/uts/intel/rge/Makefile	Mon Jan  7 13:09:37 2019
+++ new/usr/src/uts/intel/rge/Makefile	Mon Jan  7 13:09:37 2019
@@ -22,10 +22,7 @@
 # Copyright 2008 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
-#
-#	This makefile drives the production of the Realtek
-#	Gigabit Ethernet (BGE) driver module in intel systems
-#
+# Copyright (c) 2018, Joyent, Inc.
 
 #
 #	Path to the base of the uts directory tree (usually /usr/src/uts).
@@ -71,6 +68,9 @@
 CERRWARN	+= -_gcc=-Wno-switch
 CERRWARN	+= -_gcc=-Wno-uninitialized
 
+# looks like a real bug in rge_phy_update() !
+$(OBJS_DIR)/rge_chip.o := SMOFF += indenting
+
 #
 #	Default build targets.
 #
--- old/usr/src/uts/intel/rpcib/Makefile	Mon Jan  7 13:09:37 2019
+++ new/usr/src/uts/intel/rpcib/Makefile	Mon Jan  7 13:09:37 2019
@@ -22,6 +22,7 @@
 # Copyright 2006 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 #
 #	This makefile drives the production of the kernel 
@@ -77,6 +78,9 @@
 CERRWARN	+= -_gcc=-Wno-unused-function
 CERRWARN	+= -_gcc=-Wno-uninitialized
 
+# needs work
+SMATCH=off
+
 #
 #	Default build targets.
 #
--- old/usr/src/uts/intel/rpcmod/Makefile	Mon Jan  7 13:09:37 2019
+++ new/usr/src/uts/intel/rpcmod/Makefile	Mon Jan  7 13:09:37 2019
@@ -24,6 +24,7 @@
 # Copyright 2006 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 #
 #	This makefile drives the production of the rpcmod streams kernel
@@ -89,6 +90,9 @@
 CERRWARN	+= -_gcc=-Wno-unused-label
 CERRWARN	+= -_gcc=-Wno-unused-function
 
+# needs work
+SMOFF += all_func_returns,indenting,no_if_block,deref_check
+
 #
 #	Default build targets.
 #
--- old/usr/src/uts/intel/rpcsec/Makefile	Mon Jan  7 13:09:37 2019
+++ new/usr/src/uts/intel/rpcsec/Makefile	Mon Jan  7 13:09:37 2019
@@ -25,11 +25,9 @@
 # Use is subject to license terms.
 # Copyright (c) 2011 Bayard G. Bell. All rights reserved.
 #
-#	This makefile drives the production of the kernel rpcsec module.
+# Copyright (c) 2018, Joyent, Inc.
+
 #
-#	intel implementation architecture dependent
-#
-#
 #	Path to the base of the uts directory tree (usually /usr/src/uts).
 #
 UTSBASE	= ../..
@@ -71,6 +69,9 @@
 CERRWARN	+= -_gcc=-Wno-parentheses
 CERRWARN	+= -_gcc=-Wno-uninitialized
 
+# needs work
+$(OBJS_DIR)/auth_des.o := SMOFF += deref_check
+
 #
 #	Default build targets.
 #
--- old/usr/src/uts/intel/rsm/Makefile	Mon Jan  7 13:09:37 2019
+++ new/usr/src/uts/intel/rsm/Makefile	Mon Jan  7 13:09:37 2019
@@ -23,6 +23,7 @@
 # Copyright 2006 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 #
 #	This makefile drives the production of the rsm kernel agent 
@@ -81,6 +82,9 @@
 CERRWARN	+= -_gcc=-Wno-uninitialized
 CERRWARN	+= -_gcc=-Wno-parentheses
 
+# needs work
+SMATCH=off
+
 #
 #	Default build targets.
 #
--- old/usr/src/uts/intel/rts/Makefile	Mon Jan  7 13:09:38 2019
+++ new/usr/src/uts/intel/rts/Makefile	Mon Jan  7 13:09:38 2019
@@ -24,10 +24,7 @@
 # Copyright 2008 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
-#	This makefile drives the production of the rts IP driver
-#
-#	intel implementation architecture dependent
-#
+# Copyright (c) 2018, Joyent, Inc.
 
 #
 #	Path to the base of the uts directory tree (usually /usr/src/uts).
@@ -77,6 +74,9 @@
 LINTTAGS	+= -erroff=E_PTRDIFF_OVERFLOW
 LINTTAGS	+= -erroff=E_ASSIGN_NARROW_CONV
 
+# needs work
+$(OBJS_DIR)/rtsddi.o := SMOFF += index_overflow
+
 #
 #	Default build targets.
 #
--- old/usr/src/uts/intel/s1394/Makefile	Mon Jan  7 13:09:38 2019
+++ new/usr/src/uts/intel/s1394/Makefile	Mon Jan  7 13:09:38 2019
@@ -24,6 +24,7 @@
 # Copyright 2006 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 #
 #	This makefile drives the production of the s1394 kernel module.
@@ -83,6 +84,9 @@
 CERRWARN	+= -_gcc=-Wno-unused-variable
 CERRWARN	+= -_gcc=-Wno-parentheses
 
+# needs work
+SMOFF += indenting
+
 #
 #	Default build targets.
 #
--- old/usr/src/uts/intel/sata/Makefile	Mon Jan  7 13:09:38 2019
+++ new/usr/src/uts/intel/sata/Makefile	Mon Jan  7 13:09:38 2019
@@ -23,7 +23,9 @@
 # Copyright 2006 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
+
 #
 # uts/intel/io/sata/Makefile
 #
@@ -91,6 +93,9 @@
 CERRWARN	+= -_gcc=-Wno-uninitialized
 CERRWARN	+= -_gcc=-Wno-empty-body
 
+# needs work
+SMATCH=off
+
 #
 #	Default build targets.
 #
--- old/usr/src/uts/intel/scsa1394/Makefile	Mon Jan  7 13:09:39 2019
+++ new/usr/src/uts/intel/scsa1394/Makefile	Mon Jan  7 13:09:39 2019
@@ -22,7 +22,9 @@
 # Copyright 2007 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
+
 #
 #	Path to the base of the uts directory tree.
 #
@@ -65,6 +67,9 @@
 CERRWARN	+= -_gcc=-Wno-parentheses
 CERRWARN	+= -_gcc=-Wno-uninitialized
 
+# needs work
+$(OBJS_DIR)/sbp2_driver.o := SMOFF += indenting
+
 #	Default build targets.
 #
 .KEEP_STATE:
--- old/usr/src/uts/intel/scsa2usb/Makefile	Mon Jan  7 13:09:39 2019
+++ new/usr/src/uts/intel/scsa2usb/Makefile	Mon Jan  7 13:09:39 2019
@@ -25,9 +25,7 @@
 #
 # Copyright 2014 Garrett D'Amore <garrett@damore.org>
 #
-#	This makefile drives the production of the scsa2usb driver
-#	kernel module. intel architecture dependent
-#
+# Copyright (c) 2018, Joyent, Inc.
 
 #
 #	Path to the base of the uts directory tree (usually /usr/src/uts).
@@ -76,6 +74,9 @@
 CERRWARN	+= -_gcc=-Wno-unused-label
 CERRWARN	+= -_gcc=-Wno-uninitialized
 
+# needs work
+$(OBJS_DIR)/scsa2usb.o := SMOFF += deref_check
+
 #
 #	Default build targets.
 #
--- old/usr/src/uts/intel/scsi/Makefile	Mon Jan  7 13:09:39 2019
+++ new/usr/src/uts/intel/scsi/Makefile	Mon Jan  7 13:09:39 2019
@@ -24,6 +24,7 @@
 # Copyright 2006 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 #
 #	This makefile drives the production of the scsi kernel module.
@@ -75,6 +76,9 @@
 CERRWARN	+= -_gcc=-Wno-switch
 CERRWARN	+= -_gcc=-Wno-uninitialized
 
+# needs work
+SMATCH=off
+
 #
 #	Default build targets.
 #
